Debian Bug report logs - #341801
skge hardware error; hangs w/ hardware memory hole

Package: linux-2.6; Maintainer for linux-2.6 is Debian Kernel Team <debian-kernel@lists.debian.org>;

Reported by: Anthony DeRobertis <asd@suespammers.org>

Date: Sat, 3 Dec 2005 06:48:01 UTC

Severity: important

Done: maximilian attems <max@stro.at>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, unknown-package@qa.debian.org:
Bug#341801; Package linux-image-2.6.14-2-amd64-k8-smp. Full text and rfc822 format available.

Acknowledgement sent to Anthony DeRobertis <asd@suespammers.org>:
New Bug report received and forwarded. Copy sent to unknown-package@qa.debian.org. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Anthony DeRobertis <asd@suespammers.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: skge hardware error; hangs w/ hardware memory hole
Date: Sat, 03 Dec 2005 01:35:12 -0500
Package: linux-image-2.6.14-2-amd64-k8-smp
Version: 2.6.14-4
Severity: important

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

I have a Asus A8V with 4GB of RAM. When I turn on the hardware memory
hole in the BIOS, the skge driver prints out this message:

	skge hardware error detected (status 0xc00)

and then does not work. Setting debug=16 doesn't really show anything.

Also, sometimes it causes the kernel to panic (noticed during a raid
rebuild; a sata error followed a second later by one or more panics)
with messages which scroll by way to fast to catch, and shift-pagup
doesn't work. I'm pretty sure this is related to the skge thing; it
doesn't happen until ifup eth0.

- -- System Information:
Debian Release: testing/unstable
  APT prefers testing
  APT policy: (500, 'testing'), (130, 'unstable')
Architecture: amd64 (x86_64)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.12-1-amd64-k8-smp
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)

Versions of packages linux-image-2.6.14-2-amd64-k8-smp depends on:
ii  e2fsprogs                     1.38-2     ext2 file system utilities and lib
ii  module-init-tools             3.2-pre9-4 tools for managing Linux kernel mo
ii  yaird [linux-initramfs-tool]  0.0.11-12  Yet Another mkInitRD

linux-image-2.6.14-2-amd64-k8-smp recommends no packages.

- -- no debconf information

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.2 (GNU/Linux)

iD8DBQFDkTyg+z+IwlXqWf4RAiDKAJ9MYeynSJRo9S0HUDT9PaCVTbXAxwCeKAS1
ws4mEpX9W4DULqYhuMfhxNY=
=Gnji
-----END PGP SIGNATURE-----



Information forwarded to debian-bugs-dist@lists.debian.org, unknown-package@qa.debian.org:
Bug#341801; Package linux-image-2.6.14-2-amd64-k8-smp. Full text and rfc822 format available.

Acknowledgement sent to Anthony DeRobertis <anthony@derobert.net>:
Extra info received and forwarded to list. Copy sent to unknown-package@qa.debian.org.

Your message did not contain a Subject field. They are recommended and useful because the title of a Bug is determined using this field. Please remember to include a Subject field in your messages in future.

Full text and rfc822 format available.


Message #10 received at 341801@bugs.debian.org (full text, mbox):

From: Anthony DeRobertis <anthony@derobert.net>
To: 341801@bugs.debian.org
Date: Sat, 03 Dec 2005 02:01:56 -0500
[Message part 1 (text/plain, inline)]

[lspci-2.6.12 (text/plain, inline)]
0000:00:00.0 Host bridge: VIA Technologies, Inc. K8T800Pro Host Bridge
	Subsystem: ASUSTeK Computer Inc.: Unknown device 80a3
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B-
	Status: Cap+ 66MHz+ UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort+ >SERR- <PERR+
	Latency: 64
	Region 0: Memory at dc000000 (32-bit, prefetchable) [size=64M]
	Capabilities: [80] AGP version 3.0
		Status: RQ=32 Iso- ArqSz=0 Cal=2 SBA+ ITACoh- GART64- HTrans- 64bit- FW+ AGP3+ Rate=x4,x8
		Command: RQ=1 ArqSz=0 Cal=0 SBA+ AGP+ GART64- 64bit- FW- Rate=x4
	Capabilities: [50] Power Management version 2
		Flags: PMEClk- DSI- D1- D2- AuxCurrent=0mA PME(D0-,D1-,D2-,D3hot-,D3cold-)
		Status: D0 PME-Enable- DSel=0 DScale=0 PME-
	Capabilities: [60] #08 [0060]
	Capabilities: [58] #08 [8001]

0000:00:00.1 Host bridge: VIA Technologies, Inc. K8T800Pro Host Bridge
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B-
	Status: Cap- 66MHz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR-
	Latency: 0

0000:00:00.2 Host bridge: VIA Technologies, Inc. K8T800Pro Host Bridge
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B-
	Status: Cap- 66MHz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR-
	Latency: 0

0000:00:00.3 Host bridge: VIA Technologies, Inc. K8T800Pro Host Bridge
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B-
	Status: Cap- 66MHz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR-
	Latency: 0

0000:00:00.4 Host bridge: VIA Technologies, Inc. K8T800Pro Host Bridge
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B-
	Status: Cap- 66MHz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR-
	Latency: 0

0000:00:00.7 Host bridge: VIA Technologies, Inc. K8T800Pro Host Bridge
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B-
	Status: Cap- 66MHz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR-
	Latency: 0

0000:00:01.0 PCI bridge: VIA Technologies, Inc. VT8237 PCI bridge [K8T800/K8T890 South] (prog-if 00 [Normal decode])
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B-
	Status: Cap+ 66MHz+ UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR-
	Latency: 0
	Bus: primary=00, secondary=01, subordinate=01, sec-latency=0
	I/O behind bridge: 0000e000-0000efff
	Memory behind bridge: fbe00000-fbffffff
	Prefetchable memory behind bridge: e0000000-faffffff
	BridgeCtl: Parity- SERR+ NoISA- VGA+ MAbort- >Reset- FastB2B-
	Capabilities: [80] Power Management version 2
		Flags: PMEClk- DSI- D1+ D2- AuxCurrent=0mA PME(D0-,D1-,D2-,D3hot-,D3cold-)
		Status: D0 PME-Enable- DSel=0 DScale=0 PME-

0000:00:07.0 FireWire (IEEE 1394): VIA Technologies, Inc. IEEE 1394 Host Controller (rev 80) (prog-if 10 [OHCI])
	Subsystem: ASUSTeK Computer Inc.: Unknown device 808a
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV+ VGASnoop- ParErr- Stepping- SERR+ FastB2B-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR-
	Latency: 64 (8000ns max), Cache Line Size: 0x10 (64 bytes)
	Interrupt: pin A routed to IRQ 16
	Region 0: Memory at fb700000 (32-bit, non-prefetchable) [size=2K]
	Region 1: I/O ports at 8800 [size=128]
	Capabilities: [50] Power Management version 2
		Flags: PMEClk- DSI- D1- D2+ AuxCurrent=0mA PME(D0-,D1-,D2+,D3hot+,D3cold+)
		Status: D0 PME-Enable- DSel=0 DScale=0 PME-

0000:00:08.0 RAID bus controller: Promise Technology, Inc. PDC20378 (FastTrak 378/SATA 378) (rev 02)
	Subsystem: ASUSTeK Computer Inc. K8V Deluxe/PC-DL Deluxe motherboard
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV+ VGASnoop- ParErr- Stepping- SERR+ FastB2B-
	Status: Cap+ 66MHz+ UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR-
	Latency: 96 (1000ns min, 4500ns max), Cache Line Size: 0x91 (580 bytes)
	Interrupt: pin A routed to IRQ 18
	Region 0: I/O ports at 9800 [size=64]
	Region 1: I/O ports at 9400 [size=16]
	Region 2: I/O ports at 9000 [size=128]
	Region 3: Memory at fb900000 (32-bit, non-prefetchable) [size=4K]
	Region 4: Memory at fb800000 (32-bit, non-prefetchable) [size=128K]
	Capabilities: [60] Power Management version 2
		Flags: PMEClk- DSI+ D1+ D2- AuxCurrent=0mA PME(D0-,D1-,D2-,D3hot-,D3cold-)
		Status: D0 PME-Enable- DSel=0 DScale=0 PME-

0000:00:0a.0 Ethernet controller: Marvell Technology Group Ltd. 88E8001 Gigabit Ethernet Controller (rev 13)
	Subsystem: ASUSTeK Computer Inc. Marvell 88E8001 Gigabit Ethernet Controller (Asus)
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV+ VGASnoop- ParErr- Stepping- SERR+ FastB2B-
	Status: Cap+ 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR-
	Latency: 64 (5750ns min, 7750ns max), Cache Line Size: 0x10 (64 bytes)
	Interrupt: pin A routed to IRQ 17
	Region 0: Memory at fbb00000 (32-bit, non-prefetchable) [size=16K]
	Region 1: I/O ports at a000 [size=256]
	Expansion ROM at fba00000 [disabled] [size=128K]
	Capabilities: [48] Power Management version 2
		Flags: PMEClk- DSI- D1+ D2+ AuxCurrent=0mA PME(D0+,D1+,D2+,D3hot+,D3cold+)
		Status: D0 PME-Enable- DSel=0 DScale=1 PME-
	Capabilities: [50] Vital Product Data

0000:00:0f.0 RAID bus controller: VIA Technologies, Inc. VIA VT6420 SATA RAID Controller (rev 80)
	Subsystem: ASUSTeK Computer Inc. A7V600/K8V Deluxe/K8V-X motherboard
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B-
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR-
	Latency: 64
	Interrupt: pin B routed to IRQ 20
	Region 0: I/O ports at c000 [size=8]
	Region 1: I/O ports at b800 [size=4]
	Region 2: I/O ports at b400 [size=8]
	Region 3: I/O ports at b000 [size=4]
	Region 4: I/O ports at a800 [size=16]
	Region 5: I/O ports at a400 [size=256]
	Capabilities: [c0] Power Management version 2
		Flags: PMEClk- DSI- D1- D2- AuxCurrent=0mA PME(D0-,D1-,D2-,D3hot-,D3cold-)
		Status: D0 PME-Enable- DSel=0 DScale=0 PME-

0000:00:0f.1 IDE interface: VIA Technologies, Inc. VT82C586A/B/VT82C686/A/B/VT823x/A/C PIPC Bus Master IDE (rev 06) (prog-if 8a [Master SecP PriP])
	Subsystem: ASUSTeK Computer Inc. A7V600/K8V-X motherboard
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B-
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR-
	Latency: 32
	Interrupt: pin A routed to IRQ 20
	Region 4: I/O ports at fc00 [size=16]
	Capabilities: [c0] Power Management version 2
		Flags: PMEClk- DSI- D1- D2- AuxCurrent=0mA PME(D0-,D1-,D2-,D3hot-,D3cold-)
		Status: D0 PME-Enable- DSel=0 DScale=0 PME-

0000:00:10.0 USB Controller: VIA Technologies, Inc. VT82xxxxx UHCI USB 1.1 Controller (rev 81) (prog-if 00 [UHCI])
	Subsystem: ASUSTeK Computer Inc. A7V600/K8V-X motherboard
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV+ VGASnoop- ParErr- Stepping- SERR- FastB2B-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR-
	Latency: 64, Cache Line Size: 0x10 (64 bytes)
	Interrupt: pin A routed to IRQ 21
	Region 4: I/O ports at c400 [size=32]
	Capabilities: [80] Power Management version 2
		Flags: PMEClk- DSI- D1+ D2+ AuxCurrent=375mA PME(D0+,D1+,D2+,D3hot+,D3cold+)
		Status: D0 PME-Enable- DSel=0 DScale=0 PME-

0000:00:10.1 USB Controller: VIA Technologies, Inc. VT82xxxxx UHCI USB 1.1 Controller (rev 81) (prog-if 00 [UHCI])
	Subsystem: ASUSTeK Computer Inc. A7V600/K8V-X motherboard
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV+ VGASnoop- ParErr- Stepping- SERR- FastB2B-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR-
	Latency: 64, Cache Line Size: 0x10 (64 bytes)
	Interrupt: pin A routed to IRQ 21
	Region 4: I/O ports at c800 [size=32]
	Capabilities: [80] Power Management version 2
		Flags: PMEClk- DSI- D1+ D2+ AuxCurrent=375mA PME(D0+,D1+,D2+,D3hot+,D3cold+)
		Status: D0 PME-Enable- DSel=0 DScale=0 PME-

0000:00:10.2 USB Controller: VIA Technologies, Inc. VT82xxxxx UHCI USB 1.1 Controller (rev 81) (prog-if 00 [UHCI])
	Subsystem: ASUSTeK Computer Inc. A7V600/K8V-X motherboard
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV+ VGASnoop- ParErr- Stepping- SERR- FastB2B-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR-
	Latency: 64, Cache Line Size: 0x10 (64 bytes)
	Interrupt: pin B routed to IRQ 21
	Region 4: I/O ports at d000 [size=32]
	Capabilities: [80] Power Management version 2
		Flags: PMEClk- DSI- D1+ D2+ AuxCurrent=375mA PME(D0+,D1+,D2+,D3hot+,D3cold+)
		Status: D0 PME-Enable- DSel=0 DScale=0 PME-

0000:00:10.3 USB Controller: VIA Technologies, Inc. VT82xxxxx UHCI USB 1.1 Controller (rev 81) (prog-if 00 [UHCI])
	Subsystem: ASUSTeK Computer Inc. A7V600/K8V-X motherboard
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV+ VGASnoop- ParErr- Stepping- SERR- FastB2B-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR-
	Latency: 64, Cache Line Size: 0x10 (64 bytes)
	Interrupt: pin B routed to IRQ 21
	Region 4: I/O ports at d400 [size=32]
	Capabilities: [80] Power Management version 2
		Flags: PMEClk- DSI- D1+ D2+ AuxCurrent=375mA PME(D0+,D1+,D2+,D3hot+,D3cold+)
		Status: D0 PME-Enable- DSel=0 DScale=0 PME-

0000:00:10.4 USB Controller: VIA Technologies, Inc. USB 2.0 (rev 86) (prog-if 20 [EHCI])
	Subsystem: ASUSTeK Computer Inc. A7V600/K8V-X motherboard
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV+ VGASnoop- ParErr- Stepping- SERR- FastB2B-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR-
	Latency: 64, Cache Line Size: 0x10 (64 bytes)
	Interrupt: pin C routed to IRQ 21
	Region 0: Memory at fbd00000 (32-bit, non-prefetchable) [size=256]
	Capabilities: [80] Power Management version 2
		Flags: PMEClk- DSI- D1+ D2+ AuxCurrent=375mA PME(D0+,D1+,D2+,D3hot+,D3cold+)
		Status: D0 PME-Enable- DSel=0 DScale=0 PME-

0000:00:11.0 ISA bridge: VIA Technologies, Inc. VT8237 ISA bridge [KT600/K8T800/K8T890 South]
	Subsystem: ASUSTeK Computer Inc. A7V600/K8V-X motherboard
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping+ SERR- FastB2B-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR-
	Latency: 0
	Capabilities: [c0] Power Management version 2
		Flags: PMEClk- DSI- D1- D2- AuxCurrent=0mA PME(D0-,D1-,D2-,D3hot-,D3cold-)
		Status: D0 PME-Enable- DSel=0 DScale=0 PME-

0000:00:11.5 Multimedia audio controller: VIA Technologies, Inc. VT8233/A/8235/8237 AC97 Audio Controller (rev 60)
	Subsystem: ASUSTeK Computer Inc.: Unknown device 812a
	Control: I/O+ Mem- BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR-
	Interrupt: pin C routed to IRQ 22
	Region 0: I/O ports at d800 [size=256]
	Capabilities: [c0] Power Management version 2
		Flags: PMEClk- DSI- D1+ D2+ AuxCurrent=0mA PME(D0-,D1-,D2-,D3hot-,D3cold-)
		Status: D0 PME-Enable- DSel=0 DScale=0 PME-

0000:00:18.0 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] HyperTransport Technology Configuration
	Control: I/O- Mem- BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR-
	Capabilities: [80] #08 [2101]

0000:00:18.1 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] Address Map
	Control: I/O- Mem- BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B-
	Status: Cap- 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR-

0000:00:18.2 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] DRAM Controller
	Control: I/O- Mem- BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B-
	Status: Cap- 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR-

0000:00:18.3 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] Miscellaneous Control
	Control: I/O- Mem- BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B-
	Status: Cap- 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR-

0000:01:00.0 VGA compatible controller: ATI Technologies Inc RV280 [Radeon 9200 PRO] (rev 01) (prog-if 00 [VGA])
	Subsystem: ATI Technologies Inc RV280 [Radeon 9200 PRO]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B-
	Status: Cap+ 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR-
	Latency: 64 (2000ns min), Cache Line Size: 0x10 (64 bytes)
	Interrupt: pin A routed to IRQ 16
	Region 0: Memory at e0000000 (32-bit, prefetchable) [size=256M]
	Region 1: I/O ports at e000 [size=256]
	Region 2: Memory at fbf00000 (32-bit, non-prefetchable) [size=64K]
	Expansion ROM at fbe00000 [disabled] [size=128K]
	Capabilities: [58] AGP version 3.0
		Status: RQ=256 Iso- ArqSz=0 Cal=0 SBA+ ITACoh- GART64- HTrans- 64bit- FW+ AGP3+ Rate=x4,x8
		Command: RQ=32 ArqSz=0 Cal=0 SBA+ AGP+ GART64- 64bit- FW- Rate=x4
	Capabilities: [50] Power Management version 2
		Flags: PMEClk- DSI- D1+ D2+ AuxCurrent=0mA PME(D0-,D1-,D2-,D3hot-,D3cold-)
		Status: D0 PME-Enable- DSel=0 DScale=0 PME-


Bug reassigned from package `linux-image-2.6.14-2-amd64-k8-smp' to `linux-2.6'. Request was from Martin Michlmayr <tbm@cyrius.com> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#341801; Package linux-2.6. Full text and rfc822 format available.

Acknowledgement sent to Kevin Brown <kevin@sysexperts.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #17 received at 341801@bugs.debian.org (full text, mbox):

From: Kevin Brown <kevin@sysexperts.com>
To: 341801@bugs.debian.org
Subject: Bug#341801: independent confirmation
Date: Wed, 15 Feb 2006 18:19:55 -0800
I can confirm this bug.

I'm running kernel 2.6.15-1-amd64-generic version 2.6.15-6, and see
the very same thing.

So I have to turn off the memory remapping feature that allows the
system to see all 4 gig of memory, and thus lose the use of about 200
megabytes of memory.

Hardware: ASUS A8V Deluxe, 4G RAM, Athlon 64 3200+ CPU.


-- 
Kevin Brown					      kevin@sysexperts.com



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#341801; Package linux-2.6. Full text and rfc822 format available.

Acknowledgement sent to Anthony DeRobertis <anthony@derobert.net>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #22 received at 341801@bugs.debian.org (full text, mbox):

From: Anthony DeRobertis <anthony@derobert.net>
To: Kevin Brown <kevin@sysexperts.com>, 341801@bugs.debian.org
Subject: Re: Bug#341801: independent confirmation
Date: Sat, 18 Feb 2006 17:32:06 -0500
Kevin Brown wrote:
> I can confirm this bug.
> 
> I'm running kernel 2.6.15-1-amd64-generic version 2.6.15-6, and see
> the very same thing.
> 
> So I have to turn off the memory remapping feature that allows the
> system to see all 4 gig of memory, and thus lose the use of about 200
> megabytes of memory.

Lucky bastard, I loose 600M...

> 
> Hardware: ASUS A8V Deluxe, 4G RAM, Athlon 64 3200+ CPU.

Athlon 4400+, otherwise the same hardware.


PS: Since you have the same hardware as me, I'm curious if you're able
to use kernels > 2.6.12.



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#341801; Package linux-2.6. Full text and rfc822 format available.

Acknowledgement sent to Kevin Brown <kevin@sysexperts.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #27 received at 341801@bugs.debian.org (full text, mbox):

From: Kevin Brown <kevin@sysexperts.com>
To: Anthony DeRobertis <anthony@derobert.net>
Cc: 341801@bugs.debian.org
Subject: Re: Bug#341801: independent confirmation
Date: Sat, 18 Feb 2006 14:46:37 -0800
Anthony DeRobertis wrote:
> Kevin Brown wrote:
> > I can confirm this bug.
> > 
> > I'm running kernel 2.6.15-1-amd64-generic version 2.6.15-6, and see
> > the very same thing.
> > 
> > So I have to turn off the memory remapping feature that allows the
> > system to see all 4 gig of memory, and thus lose the use of about 200
> > megabytes of memory.
> 
> Lucky bastard, I loose 600M...

Ouch.

> > Hardware: ASUS A8V Deluxe, 4G RAM, Athlon 64 3200+ CPU.
> 
> Athlon 4400+, otherwise the same hardware.
> 
> 
> PS: Since you have the same hardware as me, I'm curious if you're able
> to use kernels > 2.6.12.

Yeah.  I'm currently using 2.6.15.  Note that I'm using the
amd64-generic kernel, not the amd64-k8 kernel.  I don't expect that
makes any difference at all with respect to this particular bug,
though it might change how much memory is visible.

One other thing: I'm using ECC memory, and have ECC enabled.


-- 
Kevin Brown					      kevin@sysexperts.com



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#341801; Package linux-2.6. Full text and rfc822 format available.

Acknowledgement sent to Anthony DeRobertis <anthony@derobert.net>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #32 received at 341801@bugs.debian.org (full text, mbox):

From: Anthony DeRobertis <anthony@derobert.net>
To: Kevin Brown <kevin@sysexperts.com>
Cc: 341801@bugs.debian.org
Subject: Re: Bug#341801: independent confirmation
Date: Tue, 21 Feb 2006 01:14:32 -0500
Kevin Brown wrote:

>>PS: Since you have the same hardware as me, I'm curious if you're able
>>to use kernels > 2.6.12.
> 
> 
> Yeah.  I'm currently using 2.6.15.  Note that I'm using the
> amd64-generic kernel, not the amd64-k8 kernel.  I don't expect that
> makes any difference at all with respect to this particular bug,
> though it might change how much memory is visible.

I'm using the k8-smp version. I'd try generic, but there is no generic
SMP, AFAIK (and having bought a >$500 dual-core chip, I damn well want
to use it!)

The problem I've always seen with > 2.6.12 is that after a short while,
either Ethernet or SATA (with the promise chip) dies. I've filed
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=347412 on this (a while
ago).

I'm sort of curious why you use -generic instead of -k8; unless, of
course, this is why.

Well, if you don't experience this problem, I guess I should try booting
w/o SMP support and seeing if its an SMP-only problem.

> 
> One other thing: I'm using ECC memory, and have ECC enabled.

Why they heck would you do that... ?




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#341801; Package linux-2.6. Full text and rfc822 format available.

Acknowledgement sent to Kevin Brown <kevin@sysexperts.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #37 received at 341801@bugs.debian.org (full text, mbox):

From: Kevin Brown <kevin@sysexperts.com>
To: Anthony DeRobertis <anthony@derobert.net>
Cc: 341801@bugs.debian.org
Subject: Re: Bug#341801: independent confirmation
Date: Mon, 20 Feb 2006 22:51:57 -0800
Anthony DeRobertis wrote:
> Kevin Brown wrote:
> 
> >>PS: Since you have the same hardware as me, I'm curious if you're able
> >>to use kernels > 2.6.12.
> > 
> > 
> > Yeah.  I'm currently using 2.6.15.  Note that I'm using the
> > amd64-generic kernel, not the amd64-k8 kernel.  I don't expect that
> > makes any difference at all with respect to this particular bug,
> > though it might change how much memory is visible.
> 
> I'm using the k8-smp version. I'd try generic, but there is no generic
> SMP, AFAIK (and having bought a >$500 dual-core chip, I damn well want
> to use it!)
> 
> The problem I've always seen with > 2.6.12 is that after a short while,
> either Ethernet or SATA (with the promise chip) dies. I've filed
> http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=347412 on this (a while
> ago).
> 
> I'm sort of curious why you use -generic instead of -k8; unless, of
> course, this is why.

Well, the main reason is that I didn't see any advantage, since I'm
running a non-SMP system.

The secondary reason is that I'm running the NVidia proprietary
drivers, and getting them set up was a pain.

And finally, with the exception of this bug, everything appears to
work.

> > One other thing: I'm using ECC memory, and have ECC enabled.
> 
> Why they heck would you do that... ?

Two reasons: the first is that I want as much stability as I can get,
and ECC increases that.  I'll leave my systems running for hundreds of
days at a time unless there's a compelling need to reboot.  The second
is that I value my data, and don't want an undetected memory error
screwing me over.  I also run my disks in a mirrored configuration for
the same basic reason.



-- 
Kevin Brown					      kevin@sysexperts.com



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#341801; Package linux-2.6. Full text and rfc822 format available.

Acknowledgement sent to Anthony DeRobertis <anthony@derobert.net>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #42 received at 341801@bugs.debian.org (full text, mbox):

From: Anthony DeRobertis <anthony@derobert.net>
To: Kevin Brown <kevin@sysexperts.com>, 341801@bugs.debian.org
Subject: Re: Bug#341801: independent confirmation
Date: Tue, 21 Feb 2006 03:11:58 -0500
Kevin Brown wrote:

> Well, the main reason is that I didn't see any advantage, since I'm
> running a non-SMP system.

Ok, so you don't see the ethernet/sata hangs, then? Are you using the
VIA SATA controller or the Promise one?

> 
> 
>>>One other thing: I'm using ECC memory, and have ECC enabled.
>>
>>Why they heck would you do that... ?
> 
> 
> Two reasons: the first is that I want as much stability as I can get,
> and ECC increases that.  

Oh, sorry! I read that wrong. I read it as "I'm using ECC memory and
have ECC /disabled/" which is what provoked the "why the heck..." response.

(I have non-ECC only because I wasn't sure if this board supported ECC)



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#341801; Package linux-2.6. Full text and rfc822 format available.

Acknowledgement sent to Kevin Brown <kevin@sysexperts.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #47 received at 341801@bugs.debian.org (full text, mbox):

From: Kevin Brown <kevin@sysexperts.com>
To: Anthony DeRobertis <anthony@derobert.net>
Cc: 341801@bugs.debian.org
Subject: Re: Bug#341801: independent confirmation
Date: Tue, 21 Feb 2006 01:15:26 -0800
Anthony DeRobertis wrote:
> Kevin Brown wrote:
> 
> > Well, the main reason is that I didn't see any advantage, since I'm
> > running a non-SMP system.
> 
> Ok, so you don't see the ethernet/sata hangs, then? Are you using the
> VIA SATA controller or the Promise one?

Just the VIA SATA controller for now.  I have a system with an A8V
(non-Deluxe version) that doesn't have the on-board Promise
controller.  I put a SATA 150 TX4 in it, and I'm using two ports on
that and the two on-board VIA SATA ports.  That system hasn't seen any
hanging issues either.

Could you test with the amd64-generic kernel to see if you get hangs
with the on-board Promise controller and ethernet?  I was considering
putting another couple of disks in mine but don't want to spend the
cash if it'll just hang.

> Oh, sorry! I read that wrong. I read it as "I'm using ECC memory and
> have ECC /disabled/" which is what provoked the "why the heck..."
> response.

Oh.  That makes much more sense.  :-)


> (I have non-ECC only because I wasn't sure if this board supported ECC)

It certainly does.  I refuse to buy a motherboard that won't.  The
price difference between ECC and non-ECC memory is minimal.

I think that even boards which don't support ECC memory can still make
use of ECC memory sticks.  You just won't get ECC.  Not sure, though.
The slots are the same so I don't really see why it wouldn't work.
That way, if you wind up with an ECC-capable motherboard later on you
can use the old memory in ECC mode.


-- 
Kevin Brown					      kevin@sysexperts.com



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#341801; Package linux-2.6. Full text and rfc822 format available.

Acknowledgement sent to Bastian Blank <waldi@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #52 received at 341801@bugs.debian.org (full text, mbox):

From: Bastian Blank <waldi@debian.org>
To: Kevin Brown <kevin@sysexperts.com>, 341801@bugs.debian.org
Cc: Anthony DeRobertis <anthony@derobert.net>
Subject: Re: Bug#341801: independent confirmation
Date: Tue, 21 Feb 2006 11:41:40 +0100
On Tue, Feb 21, 2006 at 01:15:26AM -0800, Kevin Brown wrote:
> Just the VIA SATA controller for now.  I have a system with an A8V
> (non-Deluxe version) that doesn't have the on-board Promise
> controller.  I put a SATA 150 TX4 in it, and I'm using two ports on
> that and the two on-board VIA SATA ports.  That system hasn't seen any
> hanging issues either.

I've seen hangs on both A8V and A8V deluxe on both controllers. They
seemed to go away if I selected the deadline io scheduler.

Bastian

-- 
Extreme feminine beauty is always disturbing.
		-- Spock, "The Cloud Minders", stardate 5818.4



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#341801; Package linux-2.6. Full text and rfc822 format available.

Acknowledgement sent to Anthony DeRobertis <anthony@derobert.net>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #57 received at 341801@bugs.debian.org (full text, mbox):

From: Anthony DeRobertis <anthony@derobert.net>
To: Kevin Brown <kevin@sysexperts.com>
Cc: 341801@bugs.debian.org
Subject: Re: Bug#341801: independent confirmation
Date: Sat, 04 Mar 2006 03:39:16 -0500
Kevin Brown wrote:

> Could you test with the amd64-generic kernel to see if you get hangs
> with the on-board Promise controller and ethernet?  I was considering
> putting another couple of disks in mine but don't want to spend the
> cash if it'll just hang.

Well, I'm testing with the -k8 kernel, but the non-SMP version. And,
*ouch*, losing the second core hurts.... So... slow....

(ok, not really 'so.... slow....', that was the 2x PII-450 I had before
this system. But it still hurts)

[BTW: It appears trying `nosmp' on the latest 2.6.15 k8-smp kernel is a
bad idea, as it results in insmod panic'ing in the initrd]



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#341801; Package linux-2.6. Full text and rfc822 format available.

Acknowledgement sent to Anthony DeRobertis <anthony@derobert.net>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #62 received at 341801@bugs.debian.org (full text, mbox):

From: Anthony DeRobertis <anthony@derobert.net>
To: Kevin Brown <kevin@sysexperts.com>
Cc: 341801@bugs.debian.org, 347412@bugs.debian.org
Subject: Re: Bug#341801: independent confirmation
Date: Sat, 04 Mar 2006 11:50:42 -0500
Ok, I've tested and it definitely seems that
linux-image-2.6.15-1-amd64-k8 version 2.6.15-7 is not affected by the
network/SATA hang (bug #347412)

I haven't tested 2.6.15-7 SMP, but all the previous 2.6.15-X SMP
versions were affected, so...

[This is a dual-core athlon 4400, so it'd be nice to get 2.6.15 running
on it, 'cause then the clock is sane...]

BTW: Trying 'nosmp' as a kernel command line argument to 2.6.15-7 SMP
causes a panic during insmod in the initrd.



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#341801; Package linux-2.6. Full text and rfc822 format available.

Acknowledgement sent to Kevin Brown <kevin@sysexperts.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #67 received at 341801@bugs.debian.org (full text, mbox):

From: Kevin Brown <kevin@sysexperts.com>
To: Anthony DeRobertis <anthony@derobert.net>
Cc: 341801@bugs.debian.org, 347412@bugs.debian.org
Subject: Re: Bug#341801: independent confirmation
Date: Thu, 30 Mar 2006 05:48:17 -0800
Anthony DeRobertis wrote:
> Ok, I've tested and it definitely seems that
> linux-image-2.6.15-1-amd64-k8 version 2.6.15-7 is not affected by the
> network/SATA hang (bug #347412)
> 
> I haven't tested 2.6.15-7 SMP, but all the previous 2.6.15-X SMP
> versions were affected, so...
> 
> [This is a dual-core athlon 4400, so it'd be nice to get 2.6.15 running
> on it, 'cause then the clock is sane...]

Hmm...2.6.16 is out now, so perhaps that works properly in SMP mode?


-- 
Kevin Brown					      kevin@sysexperts.com



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#341801; Package linux-2.6. Full text and rfc822 format available.

Acknowledgement sent to Anthony DeRobertis <anthony@derobert.net>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #72 received at 341801@bugs.debian.org (full text, mbox):

From: Anthony DeRobertis <anthony@derobert.net>
To: Kevin Brown <kevin@sysexperts.com>
Cc: 341801@bugs.debian.org, 347412@bugs.debian.org
Subject: Re: Bug#341801: independent confirmation
Date: Thu, 30 Mar 2006 13:51:18 -0500
On Thu, Mar 30, 2006 at 05:48:17AM -0800, Kevin Brown wrote:
> Hmm...2.6.16 is out now, so perhaps that works properly in SMP mode?

Nope, already tested :-(



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#341801; Package linux-2.6. Full text and rfc822 format available.

Acknowledgement sent to Anthony DeRobertis <anthony@derobert.net>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #77 received at 341801@bugs.debian.org (full text, mbox):

From: Anthony DeRobertis <anthony@derobert.net>
To: Debian Bug Tracking System <341801@bugs.debian.org>
Subject: Still happens with 2.6.17-2
Date: Mon, 03 Jul 2006 02:15:25 -0400
Package: linux-2.6
Followup-For: Bug #341801

Is there anything I can do to help get this fixed?

-- System Information:
Debian Release: testing/unstable
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: amd64 (x86_64)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.12-1-amd64-k8-smp
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#341801; Package linux-2.6. Full text and rfc822 format available.

Acknowledgement sent to Martin Michlmayr <tbm@cyrius.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #82 received at 341801@bugs.debian.org (full text, mbox):

From: Martin Michlmayr <tbm@cyrius.com>
To: Anthony DeRobertis <anthony@derobert.net>, 341801@bugs.debian.org
Subject: Re: Bug#341801: Still happens with 2.6.17-2
Date: Mon, 3 Jul 2006 11:40:28 +0200
* Anthony DeRobertis <anthony@derobert.net> [2006-07-03 02:15]:
> Is there anything I can do to help get this fixed?

You could try latest -mm if you have time.

You mention 2.6.12 several times.  Does that mean that Ethernet works
correclty with 2.6.12 even with the memory hole?
-- 
Martin Michlmayr
http://www.cyrius.com/



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#341801; Package linux-2.6. Full text and rfc822 format available.

Acknowledgement sent to Martin Michlmayr <tbm@cyrius.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #87 received at 341801@bugs.debian.org (full text, mbox):

From: Martin Michlmayr <tbm@cyrius.com>
To: Anthony DeRobertis <anthony@derobert.net>, 341801@bugs.debian.org
Subject: Re: Bug#341801: Still happens with 2.6.17-2
Date: Mon, 3 Jul 2006 11:42:43 +0200
* Martin Michlmayr <tbm@cyrius.com> [2006-07-03 11:40]:
> You mention 2.6.12 several times.  Does that mean that Ethernet works
> correclty with 2.6.12 even with the memory hole?

Ah, 2.6.12 didn't have skge.  Did sk98lin work with 2.6.12 and the
memory hole and does sk98lin still work in 2.6.17?
-- 
Martin Michlmayr
http://www.cyrius.com/



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#341801; Package linux-2.6. Full text and rfc822 format available.

Acknowledgement sent to Anthony DeRobertis <anthony@derobert.net>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #92 received at 341801@bugs.debian.org (full text, mbox):

From: Anthony DeRobertis <anthony@derobert.net>
To: Martin Michlmayr <tbm@cyrius.com>
Cc: 341801@bugs.debian.org
Subject: Re: Bug#341801: Still happens with 2.6.17-2
Date: Mon, 03 Jul 2006 12:45:53 -0400
Martin Michlmayr wrote:
> * Anthony DeRobertis <anthony@derobert.net> [2006-07-03 02:15]:
>   
>> Is there anything I can do to help get this fixed?
>>     
>
> You could try latest -mm if you have time.
>
> You mention 2.6.12 several times.  Does that mean that Ethernet works
> correclty with 2.6.12 even with the memory hole?
>   

With sk98lin under both 2.6.12 and 2.6.17 I get the following message,
repeated countless times, and finally a hang: [this is copied from
screen on to a sheet a paper and re-typed, beware typos]:

eth0: Adapter failed
eth0: -- ERROR --
class: Hardware failure
Nr: 0x264
Msg: unexpected IRQ Status error

This happens when I do "ifconfig eth0 up". Then I get to hit the reset
button.


I'm grabbing the sources to build a 2.6.17-mm6 kernel now.



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#341801; Package linux-2.6. Full text and rfc822 format available.

Acknowledgement sent to Anthony DeRobertis <anthony@derobert.net>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #97 received at 341801@bugs.debian.org (full text, mbox):

From: Anthony DeRobertis <anthony@derobert.net>
To: Martin Michlmayr <tbm@cyrius.com>
Cc: 341801@bugs.debian.org
Subject: Re: Bug#341801: Still happens with 2.6.17-2
Date: Mon, 03 Jul 2006 13:36:59 -0400
Ugh, -mm6 and kernel-package seem to be on less than friendly terms :-(
Oh well, building it the non-Debian way.



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#341801; Package linux-2.6. Full text and rfc822 format available.

Acknowledgement sent to Anthony DeRobertis <anthony@derobert.net>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #102 received at 341801@bugs.debian.org (full text, mbox):

From: Anthony DeRobertis <anthony@derobert.net>
To: Martin Michlmayr <tbm@cyrius.com>
Cc: 341801@bugs.debian.org
Subject: Re: Bug#341801: Still happens with 2.6.17-2
Date: Mon, 03 Jul 2006 14:11:17 -0400
Martin Michlmayr wrote:
> * Anthony DeRobertis <anthony@derobert.net> [2006-07-03 02:15]:
>   
>> Is there anything I can do to help get this fixed?
>>     
>
> You could try latest -mm if you have time.
-mm6 does not work with skge and the hardware memory hole. It gave these
messages:

skge eth0: enabling interface
skge 0000:00:0a.0: PCI error cmd=0x117 status=0x22b0
skge unable to clear error (so ignoring them)
skge eth0: Link is up at 1000 Mbps, full duplex, flow control tx and rx


DHCP never managed to get an IP address.



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#341801; Package linux-2.6. Full text and rfc822 format available.

Acknowledgement sent to Martin Michlmayr <tbm@cyrius.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #107 received at 341801@bugs.debian.org (full text, mbox):

From: Martin Michlmayr <tbm@cyrius.com>
To: Stephen Hemminger <shemminger@osdl.org>, netdev@vger.kernel.org
Cc: linux-kernel@vger.kernel.org, 341801@bugs.debian.org, asd@suespammers.org, kevin@sysexperts.com
Subject: skge error; hangs w/ hardware memory hole
Date: Mon, 3 Jul 2006 22:52:38 +0200
We received the following bug report at http://bugs.debian.org/341801

| I have a Asus A8V with 4GB of RAM. When I turn on the hardware memory
| hole in the BIOS, the skge driver prints out this message:
|       skge hardware error detected (status 0xc00)
| and then does not work. Setting debug=16 doesn't really show anything.

Another users confirms this bug, saying:

| I'm running kernel 2.6.15-1-amd64-generic version 2.6.15-6, and see
| the very same thing.
| So I have to turn off the memory remapping feature that allows the
| system to see all 4 gig of memory, and thus lose the use of about 200
| megabytes of memory.
| Hardware: ASUS A8V Deluxe, 4G RAM, Athlon 64 3200+ CPU.

This problem has probably been there forever and also happens with the
sk98lin driver:

| With sk98lin under both 2.6.12 and 2.6.17 I get the following message,
| repeated countless times, and finally a hang: [this is copied from
| screen on to a sheet a paper and re-typed, beware typos]:

| eth0: Adapter failed
| eth0: -- ERROR --
| class: Hardware failure
| Nr: 0x264
| Msg: unexpected IRQ Status error

The bug is still present in 2.6.17 -mm6:

| -mm6 does not work with skge and the hardware memory hole. It gave
| these messages:

| skge eth0: enabling interface
| skge 0000:00:0a.0: PCI error cmd=0x117 status=0x22b0
| skge unable to clear error (so ignoring them)
| skge eth0: Link is up at 1000 Mbps, full duplex, flow control tx and rx

| DHCP never managed to get an IP address.

Any idea what to do about this?
-- 
Martin Michlmayr
http://www.cyrius.com/



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#341801; Package linux-2.6. Full text and rfc822 format available.

Acknowledgement sent to Stephen Hemminger <shemminger@osdl.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #112 received at 341801@bugs.debian.org (full text, mbox):

From: Stephen Hemminger <shemminger@osdl.org>
To: Martin Michlmayr <tbm@cyrius.com>, Andi Kleen <ak@suse.de>
Cc: netdev@vger.kernel.org, linux-kernel@vger.kernel.org, 341801@bugs.debian.org, asd@suespammers.org, kevin@sysexperts.com
Subject: Re: skge error; hangs w/ hardware memory hole
Date: Fri, 7 Jul 2006 14:18:43 -0700
On Mon, 3 Jul 2006 22:52:38 +0200
Martin Michlmayr <tbm@cyrius.com> wrote:

> We received the following bug report at http://bugs.debian.org/341801
> 
> | I have a Asus A8V with 4GB of RAM. When I turn on the hardware memory
> | hole in the BIOS, the skge driver prints out this message:
> |       skge hardware error detected (status 0xc00)
> | and then does not work. Setting debug=16 doesn't really show anything.
> 
> Another users confirms this bug, saying:
> 
> | I'm running kernel 2.6.15-1-amd64-generic version 2.6.15-6, and see
> | the very same thing.
> | So I have to turn off the memory remapping feature that allows the
> | system to see all 4 gig of memory, and thus lose the use of about 200
> | megabytes of memory.
> | Hardware: ASUS A8V Deluxe, 4G RAM, Athlon 64 3200+ CPU.
> 
> This problem has probably been there forever and also happens with the
> sk98lin driver:
> 
> | With sk98lin under both 2.6.12 and 2.6.17 I get the following message,
> | repeated countless times, and finally a hang: [this is copied from
> | screen on to a sheet a paper and re-typed, beware typos]:
> 
> | eth0: Adapter failed
> | eth0: -- ERROR --
> | class: Hardware failure
> | Nr: 0x264
> | Msg: unexpected IRQ Status error
> 
> The bug is still present in 2.6.17 -mm6:
> 
> | -mm6 does not work with skge and the hardware memory hole. It gave
> | these messages:
> 
> | skge eth0: enabling interface
> | skge 0000:00:0a.0: PCI error cmd=0x117 status=0x22b0
> | skge unable to clear error (so ignoring them)
> | skge eth0: Link is up at 1000 Mbps, full duplex, flow control tx and rx
> 
> | DHCP never managed to get an IP address.
> 
> Any idea what to do about this?

I don't really have access to the hardware, or know the x86-64 details perhaps Andi Kleen 
would be of more help. But my suspicion is that the remapping doesn't work for i/o devices
because of hardware or BIOS.  One simple workaround is to force use of the I/O mmu on
the amd64 processor. This has a small performance impact (requires more setup).

See Documentation/x86_64/boot-options.txt iommu=force

-- 
Stephen Hemminger <shemminger@osdl.org>
Quis custodiet ipsos custodes?



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#341801; Package linux-2.6. Full text and rfc822 format available.

Acknowledgement sent to Andi Kleen <ak@suse.de>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #117 received at 341801@bugs.debian.org (full text, mbox):

From: Andi Kleen <ak@suse.de>
To: Stephen Hemminger <shemminger@osdl.org>
Cc: Martin Michlmayr <tbm@cyrius.com>, netdev@vger.kernel.org, linux-kernel@vger.kernel.org, 341801@bugs.debian.org, asd@suespammers.org, kevin@sysexperts.com
Subject: Re: skge error; hangs w/ hardware memory hole
Date: Fri, 7 Jul 2006 23:28:51 +0200
On Friday 07 July 2006 23:18, Stephen Hemminger wrote:
> On Mon, 3 Jul 2006 22:52:38 +0200
> Martin Michlmayr <tbm@cyrius.com> wrote:
> 
> > We received the following bug report at http://bugs.debian.org/341801
> > 
> > | I have a Asus A8V with 4GB of RAM. When I turn on the hardware memory
> > | hole in the BIOS, the skge driver prints out this message:
> > |       skge hardware error detected (status 0xc00)
> > | and then does not work. Setting debug=16 doesn't really show anything.


Is that a board with VIA chipset?

VIA doesn't seem to support PCI accesses with addresses >4GB and they also
don't have a working GART IOMMU.

It will likely work with iommu=force

I've been pondering to force this, but was still waiting for more reports.

-Andi




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#341801; Package linux-2.6. Full text and rfc822 format available.

Acknowledgement sent to Martin Michlmayr <tbm@cyrius.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #122 received at 341801@bugs.debian.org (full text, mbox):

From: Martin Michlmayr <tbm@cyrius.com>
To: Andi Kleen <ak@suse.de>
Cc: Stephen Hemminger <shemminger@osdl.org>, netdev@vger.kernel.org, linux-kernel@vger.kernel.org, 341801@bugs.debian.org, asd@suespammers.org, kevin@sysexperts.com
Subject: Re: skge error; hangs w/ hardware memory hole
Date: Sat, 8 Jul 2006 10:50:52 +0200
* Andi Kleen <ak@suse.de> [2006-07-07 23:28]:
> Is that a board with VIA chipset?

Yes, according to lspci, there's a VIA K8T800Pro and VT8237.


0000:00:00.0 Host bridge: VIA Technologies, Inc. K8T800Pro Host Bridge
0000:00:00.1 Host bridge: VIA Technologies, Inc. K8T800Pro Host Bridge
0000:00:00.2 Host bridge: VIA Technologies, Inc. K8T800Pro Host Bridge
0000:00:00.3 Host bridge: VIA Technologies, Inc. K8T800Pro Host Bridge
0000:00:00.4 Host bridge: VIA Technologies, Inc. K8T800Pro Host Bridge
0000:00:00.7 Host bridge: VIA Technologies, Inc. K8T800Pro Host Bridge
0000:00:01.0 PCI bridge: VIA Technologies, Inc. VT8237 PCI bridge [K8T800/K8T890 South] (prog-if 00 [Normal decode])
0000:00:07.0 FireWire (IEEE 1394): VIA Technologies, Inc. IEEE 1394 Host Controller (rev 80) (prog-if 10 [OHCI])
0000:00:0f.0 RAID bus controller: VIA Technologies, Inc. VIA VT6420 SATA RAID Controller (rev 80)
0000:00:0f.1 IDE interface: VIA Technologies, Inc. VT82C586A/B/VT82C686/A/B/VT823x/A/C PIPC Bus Master IDE (rev 06) (prog-if 8a [Master SecP PriP])
0000:00:10.0 USB Controller: VIA Technologies, Inc. VT82xxxxx UHCI USB 1.1 Controller (rev 81) (prog-if 00 [UHCI])
0000:00:10.1 USB Controller: VIA Technologies, Inc. VT82xxxxx UHCI USB 1.1 Controller (rev 81) (prog-if 00 [UHCI])
0000:00:10.2 USB Controller: VIA Technologies, Inc. VT82xxxxx UHCI USB 1.1 Controller (rev 81) (prog-if 00 [UHCI])
0000:00:10.3 USB Controller: VIA Technologies, Inc. VT82xxxxx UHCI USB 1.1 Controller (rev 81) (prog-if 00 [UHCI])
0000:00:10.4 USB Controller: VIA Technologies, Inc. USB 2.0 (rev 86) (prog-if 20 [EHCI])
0000:00:11.0 ISA bridge: VIA Technologies, Inc. VT8237 ISA bridge [KT600/K8T800/K8T890 South]
0000:00:11.5 Multimedia audio controller: VIA Technologies, Inc. VT8233/A/8235/8237 AC97 Audio Controller (rev 60)
-- 
Martin Michlmayr
http://www.cyrius.com/



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#341801; Package linux-2.6. Full text and rfc822 format available.

Acknowledgement sent to Anthony DeRobertis <asd@suespammers.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #127 received at 341801@bugs.debian.org (full text, mbox):

From: Anthony DeRobertis <asd@suespammers.org>
To: Andi Kleen <ak@suse.de>
Cc: Stephen Hemminger <shemminger@osdl.org>, Martin Michlmayr <tbm@cyrius.com>, netdev@vger.kernel.org, linux-kernel@vger.kernel.org, 341801@bugs.debian.org, kevin@sysexperts.com
Subject: Re: skge error; hangs w/ hardware memory hole
Date: Sun, 09 Jul 2006 11:24:17 -0400
Andi Kleen wrote:

> Is that a board with VIA chipset?

Yep.

> 
> VIA doesn't seem to support PCI accesses with addresses >4GB and they also
> don't have a working GART IOMMU.
> 
> It will likely work with iommu=force

I'll give this a try.... I do get a line in dmesg which reads:

PCI-DMA: Disabling IOMMU.



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#341801; Package linux-2.6. Full text and rfc822 format available.

Acknowledgement sent to Anthony DeRobertis <asd@suespammers.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #132 received at 341801@bugs.debian.org (full text, mbox):

From: Anthony DeRobertis <asd@suespammers.org>
To: Andi Kleen <ak@suse.de>
Cc: Stephen Hemminger <shemminger@osdl.org>, Martin Michlmayr <tbm@cyrius.com>, netdev@vger.kernel.org, linux-kernel@vger.kernel.org, 341801@bugs.debian.org, kevin@sysexperts.com
Subject: Re: skge error; hangs w/ hardware memory hole
Date: Tue, 11 Jul 2006 22:46:14 -0400
OK, here are the results with iommu=force. All of these are copied down
by hand, so please forgive any transcription errors:

2.6.12[1]: Last line displayed on screen is "ata1: dev 0 ATA max
UDMA/133 390721968 sectors, lba48". Then it sits there. Scrolling with
shift-pgup/pgdown works. Control-Alt-Del reboots the machine. According
to /var/log/dmesg, the next line --- which never appears --- should be
"ata1: dev 0 configured for UDMA/133"

2.6.17-1: The kernel panics with a null pointer dereference on loading
uhci_hcd. The addresses given are usb_kick_khud+7, usb_hc_died+106,
pcibios_set_master+30, etc. After the panic, it sits there (just like
2.6.12)

2.6.17-mm6: The last line displayed is "SATA link up 1.5 Gbps SStatus
113 Scontrol 300". It completely hangs: neither scrolling nor
control-alt-del work.


Honestly, should I chuck this board through the window of my nearest
ASUS and/or VIA office, and buy an NForce board?



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#341801; Package linux-2.6. Full text and rfc822 format available.

Acknowledgement sent to maximilian attems <maks@sternwelten.at>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #137 received at 341801@bugs.debian.org (full text, mbox):

From: maximilian attems <maks@sternwelten.at>
To: Kevin Brown <kevin@sysexperts.com>, 347412@bugs.debian.org
Cc: Anthony DeRobertis <anthony@derobert.net>, 341801@bugs.debian.org
Subject: Re: Bug#347412: Bug#341801: independent confirmation
Date: Sat, 30 Dec 2006 11:29:49 +0100
On Thu, 30 Mar 2006, Kevin Brown wrote:

> Anthony DeRobertis wrote:
> > Ok, I've tested and it definitely seems that
> > linux-image-2.6.15-1-amd64-k8 version 2.6.15-7 is not affected by the
> > network/SATA hang (bug #347412)
> > 
> > I haven't tested 2.6.15-7 SMP, but all the previous 2.6.15-X SMP
> > versions were affected, so...
> > 
> > [This is a dual-core athlon 4400, so it'd be nice to get 2.6.15 running
> > on it, 'cause then the clock is sane...]
> 
> Hmm...2.6.16 is out now, so perhaps that works properly in SMP mode?
> 
> 
> -- 
> Kevin Brown					      kevin@sysexperts.com

is that bug still existent in 2.6.18 linux-image ?

-- 
maks



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#341801; Package linux-2.6. Full text and rfc822 format available.

Acknowledgement sent to Kevin Brown <kevin@sysexperts.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #142 received at 341801@bugs.debian.org (full text, mbox):

From: Kevin Brown <kevin@sysexperts.com>
To: maximilian attems <maks@sternwelten.at>
Cc: 347412@bugs.debian.org, Anthony DeRobertis <anthony@derobert.net>, 341801@bugs.debian.org
Subject: Re: Bug#347412: Bug#341801: independent confirmation
Date: Sat, 30 Dec 2006 14:23:25 -0800
maximilian attems wrote:
> On Thu, 30 Mar 2006, Kevin Brown wrote:
> 
> > Anthony DeRobertis wrote:
> > > Ok, I've tested and it definitely seems that
> > > linux-image-2.6.15-1-amd64-k8 version 2.6.15-7 is not affected by the
> > > network/SATA hang (bug #347412)
> > > 
> > > I haven't tested 2.6.15-7 SMP, but all the previous 2.6.15-X SMP
> > > versions were affected, so...
> > > 
> > > [This is a dual-core athlon 4400, so it'd be nice to get 2.6.15 running
> > > on it, 'cause then the clock is sane...]
> > 
> > Hmm...2.6.16 is out now, so perhaps that works properly in SMP mode?
> > 
> > 
> > -- 
> > Kevin Brown					      kevin@sysexperts.com
> 
> is that bug still existent in 2.6.18 linux-image ?

The bug that prevents the skge interface from coming up when in upper
memory remapping mode is still present in 2.6.18.



-- 
Kevin Brown					      kevin@sysexperts.com



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#341801; Package linux-2.6. Full text and rfc822 format available.

Acknowledgement sent to maximilian attems <maks@sternwelten.at>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #147 received at 341801@bugs.debian.org (full text, mbox):

From: maximilian attems <maks@sternwelten.at>
To: Kevin Brown <kevin@sysexperts.com>
Cc: 347412@bugs.debian.org, Anthony DeRobertis <anthony@derobert.net>, 341801@bugs.debian.org
Subject: Re: Bug#347412: Bug#341801: independent confirmation
Date: Sun, 31 Dec 2006 10:37:32 +0100
On Sat, 30 Dec 2006, Kevin Brown wrote:
<snipp>
> The bug that prevents the skge interface from coming up when in upper
> memory remapping mode is still present in 2.6.18.
> 
> 
> 
> -- 
> Kevin Brown					      kevin@sysexperts.com

have you tried newer than 2.6.18, is there a patch upstream for that
in 2.6.20-rc2 ?
if yes we are happy to integrate the fix.
a quick scan of the git log drivers/net/skge.c doesnt show anything
convincing, so please report upstream in bugzilla.kernel.org
once you have tested that newest is still showing this trouble.

thanks
-- 
maks



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#341801; Package linux-2.6. Full text and rfc822 format available.

Acknowledgement sent to Kevin Brown <kevin@sysexperts.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #152 received at 341801@bugs.debian.org (full text, mbox):

From: Kevin Brown <kevin@sysexperts.com>
To: maximilian attems <maks@sternwelten.at>
Cc: 347412@bugs.debian.org, Anthony DeRobertis <anthony@derobert.net>, 341801@bugs.debian.org
Subject: Re: Bug#347412: Bug#341801: independent confirmation
Date: Sun, 31 Dec 2006 13:56:11 -0800
maximilian attems wrote:
> have you tried newer than 2.6.18, is there a patch upstream for that
> in 2.6.20-rc2 ?
> if yes we are happy to integrate the fix.
> a quick scan of the git log drivers/net/skge.c doesnt show anything
> convincing, so please report upstream in bugzilla.kernel.org
> once you have tested that newest is still showing this trouble.

I don't have a "throwaway" system with the right hardware on which I
can test random kernels to debug this, unfortunately.  So it'll have
to wait until 2.6.20 hits -testing.



-- 
Kevin Brown					      kevin@sysexperts.com



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#341801; Package linux-2.6. Full text and rfc822 format available.

Acknowledgement sent to maximilian attems <maks@sternwelten.at>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #157 received at 341801@bugs.debian.org (full text, mbox):

From: maximilian attems <maks@sternwelten.at>
To: Kevin Brown <kevin@sysexperts.com>
Cc: 347412@bugs.debian.org, Anthony DeRobertis <anthony@derobert.net>, 341801@bugs.debian.org
Subject: Re: Bug#347412: Bug#341801: independent confirmation
Date: Mon, 1 Jan 2007 13:50:58 +0100
On Sun, 31 Dec 2006, Kevin Brown wrote:

> maximilian attems wrote:
> > have you tried newer than 2.6.18, is there a patch upstream for that
> > in 2.6.20-rc2 ?
> > if yes we are happy to integrate the fix.
> > a quick scan of the git log drivers/net/skge.c doesnt show anything
> > convincing, so please report upstream in bugzilla.kernel.org
> > once you have tested that newest is still showing this trouble.
> 
> I don't have a "throwaway" system with the right hardware on which I
> can test random kernels to debug this, unfortunately.  So it'll have
> to wait until 2.6.20 hits -testing.

well this will only happen after etch release,
as the etch kernel is 2.6.18.
maybe sooner in experimental.

happy new year

-- 
maks



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#341801; Package linux-2.6. Full text and rfc822 format available.

Acknowledgement sent to Anthony DeRobertis <anthony@derobert.net>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #162 received at 341801@bugs.debian.org (full text, mbox):

From: Anthony DeRobertis <anthony@derobert.net>
To: maximilian attems <maks@sternwelten.at>
Cc: Kevin Brown <kevin@sysexperts.com>, 347412@bugs.debian.org, 341801@bugs.debian.org
Subject: Re: Bug#347412: Bug#341801: independent confirmation
Date: Mon, 01 Jan 2007 13:32:20 -0500
maximilian attems wrote:
>
> is that bug still existent in 2.6.18 linux-image ?
>
>   


I don't know; I replaced the VIA board with an nForce board...



Reply sent to maximilian attems <max@stro.at>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Anthony DeRobertis <asd@suespammers.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #167 received at 341801-done@bugs.debian.org (full text, mbox):

From: maximilian attems <max@stro.at>
To: 347412-done@bugs.debian.org
Subject: Re: skge hardware error; hangs w/ hardware memory hole
Date: Tue, 13 May 2008 01:37:05 +0200
> I don't know; I replaced the VIA board with an nForce board...

no further report thus closing.

skge got several updates since 2.6.14, unlikely that bugs
still exists.

-- 
maks




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 10 Jun 2008 07:28:32 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 10:51:22 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.